import { DeepClient } from "@deep-foundation/deeplinks/imports/client";
import { ISound } from "./stop-recording";
export interface IRecord {
    sound: ISound;
    startTime: string;
    endTime: string;
}
export interface IUploadRecords {
    deep: DeepClient;
    containerLinkId: number;
    records: IRecord[];
}
export default function uploadRecords({ deep, containerLinkId, records }: IUploadRecords): Promise<void>;
